/*
 *      Author:         Ned Arnold
 *      Date:           4-28-94
 *
 *      Experimental Physics and Industrial Control System (EPICS)
 *
 *      Copyright 1991, the Regents of the University of California,
 *      and the University of Chicago Board of Governors.
 *
 *      This software was produced under  U.S. Government contracts:
 *      (W-7405-ENG-36) at the Los Alamos National Laboratory,
 *      and (W-31-109-ENG-38) at Argonne National Laboratory.
 *
 *      Initial development by:
 *              The Controls and Automation Group (AT-8)
 *              Ground Test Accelerator
 *              Accelerator Technology Division
 *              Los Alamos National Laboratory
 *
 *      Co-developed with
 *              The Controls and Computing Group
 *              Accelerator Systems Division
 *              Advanced Photon Source
 *              Argonne National Laboratory
 *
 * Modification Log:
 * -----------------
 * .01  mm-dd-yy        iii     Comment
 * .02  08-23-94        nda     Added SPC_SC_? for easier determination of special fields
 * .03  12-06-94        nda     Added SPC_SC_FFO, SPC_SC_F,  and REC_SCAN_FFO
 */

#ifndef INC_SCANchoice_h
#define INC_SCANchoice 1

#define SPC_SC_S                101   /* start position   */
#define SPC_SC_I                102   /* step increment   */
#define SPC_SC_E                103   /* end position     */
#define SPC_SC_C                104   /* center position  */
#define SPC_SC_W                105   /* width            */
#define SPC_SC_N                106   /* # of steps       */
#define SPC_SC_FFO              107   /* FrzFlag Override */
#define SPC_SC_F                108   /* FrzFlag Changing */

#define REC_SCAN_MO		0
#define REC_SCAN_MO_LIN   	0
#define REC_SCAN_MO_TAB 	1
#define REC_SCAN_MO_OTF  	2

#define REC_SCAN_FRZ            1
#define REC_SCAN_FRZ_NO   	0
#define REC_SCAN_FRZ_YES	1

#define REC_SCAN_FFO            2
#define REC_SCAN_FFO_NO   	0
#define REC_SCAN_FFO_YES	1

#endif
